<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.TransformerEpaOfflineDataMapper">
    <sql id="Base_Column_List">
        id,
        main_equipment_id AS mainEquipmentId,
        h2,
        ch4,
        c2h2,
        c2h4,
        c2h6,
        co,
        co2,
        total_hydrocarbon AS zt,
        create_user AS createUser,
        create_time AS createTime
    </sql>

    <select id="findByMainEquipmentId" parameterType="java.lang.String" resultType="com.huatek.busi.vo.epa.EpaEvaluateDataVo">
        SELECT
            <include refid="Base_Column_List"/>
        FROM
            x_transformer_epa_offline_data
        WHERE
            main_equipment_id = #{mainEquipmentId}
    </select>

    <delete id="delete">
        delete from x_transformer_epa_offline_data
        WHERE
        main_equipment_id = #{mainEquipmentId}
    </delete>
</mapper>